Index: pjproject/trunk/third_party/build/speex/Makefile
===================================================================
--- pjproject/trunk/third_party/build/speex/Makefile	(revision 1969)
+++ pjproject/trunk/third_party/build/speex/Makefile	(revision 2002)
@@ -27,8 +27,8 @@
 			filters.o gain_table.o gain_table_lbr.o \
 			hexc_10_32_table.o hexc_table.o \
-			high_lsp_tables.o jitter.o \
+			high_lsp_tables.o \
 			kiss_fft.o kiss_fftr.o lpc.o \
 			lsp.o lsp_tables_nb.o ltp.o \
-			math_approx.o mdf.o medfilter.o misc.o modes.o \
+			mdf.o modes.o modes_wb.o \
 			nb_celp.o preprocess.o \
 			quant_lsp.o resample.o sb_celp.o smallft.o \
Index: pjproject/trunk/third_party/build/speex/config.h
===================================================================
--- pjproject/trunk/third_party/build/speex/config.h	(revision 1969)
+++ pjproject/trunk/third_party/build/speex/config.h	(revision 2002)
@@ -4,6 +4,9 @@
 #if !defined(PJ_HAS_FLOATING_POINT) || PJ_HAS_FLOATING_POINT==0
 #   define FIXED_POINT
+#else 
+#   define FLOATING_POINT
 #endif
 
+#define MACRO
 
 #if (defined(PJ_WIN32) && PJ_WIN32!=0) || \
@@ -13,5 +16,4 @@
 #define inline __inline
 #define restrict
-#include "misc.h"
 #endif
 
Index: pjproject/trunk/third_party/build/speex/libspeex.dsp
===================================================================
--- pjproject/trunk/third_party/build/speex/libspeex.dsp	(revision 1969)
+++ pjproject/trunk/third_party/build/speex/libspeex.dsp	(revision 2002)
@@ -152,8 +152,4 @@
 # Begin Source File
 
-SOURCE=..\..\speex\libspeex\jitter.c
-# End Source File
-# Begin Source File
-
 SOURCE=..\..\speex\libspeex\kiss_fft.c
 # End Source File
@@ -180,21 +176,13 @@
 # Begin Source File
 
-SOURCE=..\..\speex\libspeex\math_approx.c
-# End Source File
-# Begin Source File
-
 SOURCE=..\..\speex\libspeex\mdf.c
 # End Source File
 # Begin Source File
 
-SOURCE=..\..\speex\libspeex\medfilter.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\..\speex\libspeex\misc.c
-# End Source File
-# Begin Source File
-
 SOURCE=..\..\speex\libspeex\modes.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\speex\libspeex\modes_wb.c
 # End Source File
 # Begin Source File
@@ -256,8 +244,20 @@
 # Begin Source File
 
+SOURCE=..\..\speex\libspeex\_kiss_fft_guts.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\speex\libspeex\arch.h
+# End Source File
+# Begin Source File
+
 SOURCE=..\..\speex\libspeex\cb_search.h
 # End Source File
 # Begin Source File
 
+SOURCE=..\..\speex\libspeex\cb_search_sse.h
+# End Source File
+# Begin Source File
+
 SOURCE=.\config.h
 # End Source File
@@ -276,4 +276,16 @@
 # Begin Source File
 
+SOURCE=..\..\speex\libspeex\filters_sse.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\speex\libspeex\fixed_debug.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\speex\libspeex\fixed_generic.h
+# End Source File
+# Begin Source File
+
 SOURCE=..\..\speex\libspeex\kiss_fft.h
 # End Source File
@@ -296,9 +308,9 @@
 # Begin Source File
 
-SOURCE=..\..\speex\libspeex\medfilter.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\..\speex\libspeex\misc.h
+SOURCE=..\..\speex\libspeex\ltp_sse.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\speex\libspeex\math_approx.h
 # End Source File
 # Begin Source File
@@ -309,4 +321,12 @@
 
 SOURCE=..\..\speex\libspeex\nb_celp.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\speex\libspeex\os_support.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\speex\libspeex\pseudofloat.h
 # End Source File
 # Begin Source File
